cURL
curl --request GET \
--url https://my.orq.ai/v3/views/{view_id} \
--header 'Authorization: Bearer <token>'import { Orq } from '@orq-ai/node';
const orq = new Orq({ apiKey: process.env.ORQ_API_KEY });
const result = await orq.views.get({ viewId: '01HZXW2K7Y8Q9M0N1P2R3S4T5V' });
import requests
url = "https://my.orq.ai/v3/views/{view_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"view": {
"id": "<string>",
"display_name": "<string>",
"description": "<string>",
"workspace_id": "<string>",
"page": "<string>",
"filter_by": "<string>",
"columns": [
"<string>"
],
"column_labels": {},
"is_default": true,
"private_for_ids": [
"<string>"
],
"version": 123,
"created_by_id": "<string>",
"updated_by_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}Views
Retrieve a saved view
GET
/
v3
/
views
/
{view_id}
cURL
curl --request GET \
--url https://my.orq.ai/v3/views/{view_id} \
--header 'Authorization: Bearer <token>'import { Orq } from '@orq-ai/node';
const orq = new Orq({ apiKey: process.env.ORQ_API_KEY });
const result = await orq.views.get({ viewId: '01HZXW2K7Y8Q9M0N1P2R3S4T5V' });
import requests
url = "https://my.orq.ai/v3/views/{view_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"view": {
"id": "<string>",
"display_name": "<string>",
"description": "<string>",
"workspace_id": "<string>",
"page": "<string>",
"filter_by": "<string>",
"columns": [
"<string>"
],
"column_labels": {},
"is_default": true,
"private_for_ids": [
"<string>"
],
"version": 123,
"created_by_id": "<string>",
"updated_by_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}Was this page helpful?